<?php

/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Allgemein\Raumreservierung\Belegungsplan;

class BelegungsplanView extends \Kufer\KuferTools\Basis\GebaeudeGrafik\GebaeudeGrafikView
{
  public function getTemplatePathRelative()
  {
    return 'allgemein/raumreservierung/gebaeudegrafik.sgt';
  }

  protected function getFooterDataModulArray()
  {
    $result = parent::getFooterDataModulArray();
    foreach ($result as $value) {
      $value->gebaeudefilter = $this->viewModel->gebaeudefilter;
      $value->gebaeudefilterCount = $this->viewModel->gebaeudefilterCount;
      $value->isdateinpast = $this->viewModel->isDateInPast;
    }

    return $result;
  }
}

class BelegungsplanViewModel extends \Kufer\KuferTools\Basis\GebaeudeGrafik\GebaeudeGrafikViewModel
{
  public $gebaeudefilter;
  public $gebaeudefilterCount;
  public $isDateInPast;
}